# E:/uas2/Server/Message.h File Reference

`#include <deque>`
`#include <vector>`
`#include <cassert>`
`#include "Shared.h"`

Go to the source code of this file.

## Classes

class | cMessage
class | cMessage::cBlock
class | cMessage::cBlockDispenser

## Defines

#define | BUFFER_BLOCK_SIZE 1024

## Functions

template<class DataT >
cMessage & | operator<< (cMessage &buf, DataT t)

## Detailed Description